Ubuntu 20.04 LTS/22.04 LTS/23.10:libvirt 漏洞 (USN-6734-1)

medium Nessus 插件 ID 193342

简介

远程 Ubuntu 主机缺少一个或多个安全更新。

描述

远程 Ubuntu 20.04 LTS / 22.04 LTS / 23.10 主机上安装的程序包受到 USN-6734-1 公告中提及的多个漏洞的影响。

- 据发现,当接口数量超过“names”数组的大小时,libvirt 的 udevListInterfacesByStatus() 函数中存在差一错误缺陷。此问题可通过将特别构建的数据发送到 libvirt 后台程序来重现,从而允许非特权客户端通过造成 libvirt 后台程序崩溃来执行拒绝服务攻击。(CVE-2024-1441)

- 在 libvirt 的 RPC 库 API 中发现一个缺陷。RPC 服务器反序列化代码在 C API 入口点执行非负长度检查之前为数组分配内存。将负长度传递到 g_new0 函数会导致崩溃,这是由于负长度被视为巨大正数所导致的。本地非特权用户可利用此缺陷,导致 libvirt 后台程序崩溃,从而执行拒绝服务攻击。(CVE-2024-2494)

- 在 libvirt 的 udevConnectListAllInterfaces() 函数中发现空指针取消引用缺陷。当分离主机接口同时通过 virConnectListAllInterfaces API 收集接口列表时,会发生此问题。攻击者可利用此缺陷,导致 libvirt 后台程序崩溃,从而执行拒绝服务攻击。(CVE-2024-2496)

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

更新受影响的程序包。

另见

https://ubuntu.com/security/notices/USN-6734-1

插件详情

严重性: Medium

ID: 193342

文件名: ubuntu_USN-6734-1.nasl

版本: 1.0

类型: local

代理: unix

发布时间: 2024/4/15

最近更新时间: 2024/4/15

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Medium

基本分数: 4.6

时间分数: 3.4

矢量: CVSS2#AV:L/AC:L/Au:S/C:N/I:N/A:C

CVSS 分数来源: CVE-2024-2496

CVSS v3

风险因素: Medium

基本分数: 6.2

时间分数: 5.4

矢量: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

CVSS 分数来源: CVE-2024-2494

漏洞信息

CPE: cpe:/o:canonical:ubuntu_linux:20.04:-:lts, cpe:/o:canonical:ubuntu_linux:22.04:-:lts, cpe:/o:canonical:ubuntu_linux:23.10, p-cpe:/a:canonical:ubuntu_linux:libnss-libvirt, p-cpe:/a:canonical:ubuntu_linux:libvirt-clients, p-cpe:/a:canonical:ubuntu_linux:libvirt-clients-qemu, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-config-network, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-config-nwfilter, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-lxc, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-qemu, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-storage-gluster, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-storage-iscsi-direct, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-storage-rbd, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-storage-zfs, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-vbox, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-driver-xen, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-system, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-system-systemd, p-cpe:/a:canonical:ubuntu_linux:libvirt-daemon-system-sysv, p-cpe:/a:canonical:ubuntu_linux:libvirt-dev, p-cpe:/a:canonical:ubuntu_linux:libvirt-l10n, p-cpe:/a:canonical:ubuntu_linux:libvirt-login-shell, p-cpe:/a:canonical:ubuntu_linux:libvirt-sanlock, p-cpe:/a:canonical:ubuntu_linux:libvirt-wireshark, p-cpe:/a:canonical:ubuntu_linux:libvirt0

必需的 KB 项: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2024/4/15

漏洞发布日期: 2024/3/11

参考资料信息

CVE: CVE-2024-1441, CVE-2024-2494, CVE-2024-2496

IAVA: 2024-A-0184

USN: 6734-1